TRIGGER PROCEDURE FOR ASSIGN OF Month.StartDate.
DEF BUFFER Mth FOR Month.

  FIND Mth WHERE ROWID(Mth) = ROWID(Month) NO-LOCK.
  FIND PREV Mth EXCLUSIVE-LOCK NO-ERROR.
  IF AVAILABLE(Mth) THEN ASSIGN Mth.EndDate = Month.StartDate - 1.
  
  FIND Mth WHERE ROWID(Mth) = ROWID(Month) NO-LOCK.
  FIND NEXT Mth EXCLUSIVE-LOCK NO-ERROR.
  IF AVAILABLE(Mth) THEN ASSIGN Month.EndDate = Mth.StartDate - 1.
